<div class="mb-3 d-flex justify-content-end">
  <button class="btn btn-outline-primary me-3" (click)="goBack()"><i class="bi bi-arrow-left-circle"></i> Volver</button>
</div>

<h3 class="font-medium mb-3">{{pacienteNombre}}</h3>

<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <h4 class="card-title">Cronograma de medicamentos</h4>
        <div class="table-responsive">
          <table class="table align-middle text-nowrap">
              <thead>
                  <tr>
                      <th class="text-dark font-medium fs-4">Medicamento</th>
                      <th class="text-dark font-medium fs-4">Días</th>
                      <th class="text-dark font-medium fs-4">Horarios</th>
                      <th class="text-dark font-medium fs-4">Eliminar</th>
                  </tr>
              </thead>
              <tbody *ngFor="let items of cronograma.items; let i = index">
                  <tr *ngIf="items.estado!=false">
                      <td>
                          <div class="d-flex align-items-center">
                            <i class="bi bi-capsule"></i>
                              <div class="ms-3">
                                  <h5 class="mb-0 font-medium">{{items.medicamento}}</h5>
                              </div>
                          </div>
                      </td>
                      <td>{{items.dias}}</td>

                      <td>{{items.hora}}</td>

                      <td><button class="btn btn-danger btn-sm" (click)="eliminarMedicamento(i)" ><i class="bi bi-trash-fill"></i> </button></td>

                  </tr>              
              </tbody>
          </table>
      </div>
      </div>
    </div>

<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
    <!-- column -->
  
      <h4 class="font-medium mt-3">Agregar Medicamento</h4>
    <form [formGroup]="formMedicamento" (ngSubmit)="sendMedicamento()">
        <div class=" my-3">
          <label >Días:</label>
          <label class="p-2" *ngFor="let dia of dias">
            <input type="checkbox" (change)="diasSeleccionados(dia,$event.target.checked)" class="form-checkbox h-5 w-5 text-indigo-600"><span class="ml-2 text-gray-700"> {{dia}}  </span>
          </label>
        </div>
        <div class="row my-3">
          <div class="col-2">
              <label style="margin-right: 20px;" >Hora:</label>
              <input type="time" formControlName="hora" name="hora" >
          </div>
        </div>
      <div class="row my-3">
          <div class="col-6">
              <label style="margin-right: 20px;" >Medicamento:</label>
              <input type="text" formControlName="medicamento" name="medicamento" >
          </div>
      </div>
  
      <div class="d-grid gap-2 d-md-flex justify-content-md-start">
          <button type="submit" class="btn btn-primary mt-3" [disabled]="formMedicamento.invalid">Agregar</button>
      </div>
      
  </form>

     
   
  </div></div>
</div>
</div>